Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226331 - python-sklearn-genetic: FTBFS in Fedora rawhide/f39
Summary: python-sklearn-genetic: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sklearn-genetic
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iztok Fister Jr.
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:49 UTC by Fedora Release Engineering
Modified: 2023-08-28 16:36 UTC (History)
3 users (show)

Fixed In Version: python-sklearn-genetic-0.5.1^20230819git12ee9b2-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-28 16:36:23 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:49 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:49 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:49 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github manuel-calzolari sklearn-genetic issues 37 0 None open if_delegate_has_method is deprecated and has been removed from scikit-learn 2023-08-11 13:28:24 UTC

Description Fedora Release Engineering 2023-07-25 19:49:28 UTC
python-sklearn-genetic failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103694568


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-sklearn-genetic at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-sklearn-genetic will be orphaned. Before branching of Fedora 40,
python-sklearn-genetic will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:49:33 UTC
Created attachment 1979377 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 19:49:39 UTC
Created attachment 1979378 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:49:41 UTC
Created attachment 1979379 [details]
state.log

Comment 4 Ben Beasley 2023-08-11 13:28:24 UTC
==================================== ERRORS ====================================
__________ ERROR collecting genetic_selection/tests/test_selection.py __________
ImportError while importing test module '/builddir/build/BUILD/sklearn-genetic-0.5.1/genetic_selection/tests/test_selection.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.12/importlib/__init__.py:90: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
genetic_selection/__init__.py:16: in <module>
    from .gscv import GeneticSelectionCV
genetic_selection/gscv.py:22: in <module>
    from sklearn.utils.metaestimators import if_delegate_has_method
E   ImportError: cannot import name 'if_delegate_has_method' from 'sklearn.utils.metaestimators' (/usr/lib64/python3.12/site-packages/sklearn/utils/metaestimators.py)
=========================== short test summary info ============================
ERROR genetic_selection/tests/test_selection.py
!!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection !!!!!!!!!!!!!!!!!!!!
=============================== 1 error in 0.37s ===============================

https://github.com/manuel-calzolari/sklearn-genetic/issues/37

Comment 5 Ben Beasley 2023-08-11 14:20:01 UTC
Upstream is planning to fix this next week[1], and a candidate PR might be available sooner[2].

We will also need to replace np.bool with Python bool[3][4] for numpy 1.20 and later. I went ahead and opened a PR for that[5], since that should fix the FTBFS in F37/F38.

[1] https://github.com/manuel-calzolari/sklearn-genetic/issues/37#issuecomment-1674849553
[2] https://github.com/manuel-calzolari/sklearn-genetic/issues/37#issuecomment-1674854906
[3] https://github.com/manuel-calzolari/sklearn-genetic/issues/39
[4] https://github.com/manuel-calzolari/sklearn-genetic/pull/40
[5] https://src.fedoraproject.org/rpms/python-sklearn-genetic/pull-request/1

Comment 6 Fedora Release Engineering 2023-08-16 08:03:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 7 Fedora Update System 2023-08-23 16:39:07 UTC
FEDORA-2023-42597ef246 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-42597ef246

Comment 8 Fedora Update System 2023-08-24 01:23:37 UTC
FEDORA-2023-42597ef246 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-42597ef246`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-42597ef246

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-08-28 16:36:23 UTC
FEDORA-2023-42597ef246 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.